EndpointsAreas
Get Stage Assignments
Gets all stage assignments for an area as a paginated timeline, sorted newest first. Includes the currently active assignment.
Gets all stage assignments for an area as a paginated timeline, sorted newest first. Includes the currently active assignment.
Path Parameters
areaId*string
Format
uuidQuery Parameters
page?|
Match
^-?(?:0|[1-9]\d*)$Format
int32pageSize?|
Match
^-?(?:0|[1-9]\d*)$Format
int32from?string
Format
date-timeuntil?string
Format
date-timeResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/areas/497f6eca-6276-4993-bfeb-53cbbbba6f08/stage-assignments"{ "items": [ { "assignmentId": "dbf5135c-beb7-4185-80db-2e980c77381b", "stage": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "severity": 0 }, "effectiveFrom": "2019-08-24T14:15:22Z", "effectiveUntil": null, "createdBy": "string", "scheduledChangeId": null, "createdAt": "2019-08-24T14:15:22Z" } ], "pageNumber": 0, "pageSize": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true}{ "type": null, "title": null, "status": null, "detail": null, "instance": null}{ "type": null, "title": null, "status": null, "detail": null, "instance": null}{ "type": null, "title": null, "status": null, "detail": null, "instance": null}